How to Install HandBrake 1.2.0 on Ubuntu 18.10 and Ubuntu 18.04

For those who don’t know, HandBrake is an open-source multiplatform multithreaded video transcoder. It is used for converting DVD or Bluray discs to formats like MP4, MKV, H.264, MPEG-4 or other formats. You can also encode audio files like AAC, MP3, Flac, AC3 etc

The latest version available is HandBrake 1.2.0, which has been recently released, bringing changes, including:

General:

  • Switched core decoding library from Libav to FFmpeg
  • Fixes numerous sources previously unreadable or otherwise broken
  • Facilitates a number of the improvements and features in this release and planned for the future
  • Removed deprecated Legacy presets
  • See the list of compatible replacements on GitHub
  • Updated official presets to use stereo instead of DPL2 mixdown
  • Avoids potential spatial positioning issues with the current DPL2 algorithm and wide pans in source material
  • Limited in impact since DPL2 decoding has not been in widespread use for years
  • Updated official presets descriptions to revise compatibility and mention recently released devices
  • Updated official presets to rename Fire TV to Amazon Fire
  • Added Amazon Fire 720p30 and Chromecast 1080p60 presets
  • Added {creation-date} and {creation-time} to automatic file naming

Video

  • Fixed an issue decoding Blu-ray titles where the aspect ratio is unknown (assume 16:9)
  • Fixed an issue encoding video with very short frame durations (less than 0.00285s or greater than 350 FPS)
  • Improved extradata handling to accommodate all codecs
  • Added support for decoding TIFF/LZMA video

Audio:

  • Fixed potential decoding issue for audio lacking an explicit channel layout (intelligently guess the layout)
  • Fixed a potential crash during audio probe
  • Improved resampling to allow dithering for all codecs (only where necessary)
  • Improved quality of the default AAC encoder on non-Mac platforms (FFmpeg AAC), no longer experimental
  • Improved bit rate constraints to allow Opus as low as 6 kbit/s per channel
  • Added support for up to 7.1 channel AAC encoding (note that FDK AAC/HE-AAC do not support 6.1)
  • Added support for E-AC3 audio in MP4 container
  • Added Speex audio decoder

Subtitles

  • Fixed a potential crash where an SRT file cannot be opened
  • Added support for SRT files using periods instead of commas to delineate fractions
    Command Line Interface
  • Fixed inability to override preset subtitles burn setting (native and none are now valid values for –subtitle-burned)
    Build system
  • Fixed Linux packaging with an out-of-tree build directory
  • Fixed Windows graphical interface build script signing tool location
  • Removed –enable-local-* and associated contrib libraries; please see the documentationfor dependencies help
  • Updated to mingw-w64-build 4.1.0 with gcc 7.3.0, continuous output (keep alive), and miscellaneous improvements
  • Improved support for building with Xcode 10
  • Improved support for building on FreeBSD 11, 12, and 13
  • Improved Flatpak packaging for Linux (numerous fixes and improvements, no longer experimental)
  • Improved configure.py to always use the Python executable found by configure
  • Added script for creating Flatpak manifests
  • Added support for selecting a compiler via the CC environment variable
  • Miscellaneous bug fixes and improvements

Linux

  • Fixed Blu-ray title name being set to device name (e.g. sr0) when scanning raw devices
  • Fixed Blu-ray default destination file names to no longer include MPLS number
  • Fixed an issue with queue state not being updated properly on reload
  • Fixed various issues importing presets
  • Updated most translations
  • Added initial support for GTK 4
  • Added ability to customize activity window font size and increased default from 7 to 8
  • Added destination overwrite protection (append number to file name on conflict)
  • Added {source-path} to automatic path setting
  • Miscellaneous bug fixes and improvements

For more information, see the release announcement.

Installation instructions:

Install the software via PPA:

Up to date packages are available via some third party PPA, so installing the software on Ubuntu 18.10 Cosmic Cuttlefish, Ubuntu 18.04 Bionic Beaver, Linux Mint 19.x, Elementary OS 0.5 Juno should not cause too many problems.

All you need to do is add the PPA to your system, update the local repository index and install the handbrake-gtk and handbrake-cli packages:

$ sudo add-apt-repository ppa:stebbins/handbrake-releases
$ sudo apt-get update
$ sudo apt-get install handbrake-cli handbrake-gtk

Optional, to remove handbrake, do:

$ sudo apt-get remove handbrake*

Install the software via snap:

If you want to install handbrake via the snap packages, you need to install snapd and to use snap to install the package:

For more information about the snap package manager, follow this guide.

$ sudo apt-get install snapd
$ sudo snap install handbrake-jz

Optional, to remove snap, do:

$ sudo snap remove handbrake-jz

Liked it? Take a second to support Geekster on Patreon!
Tagged with: , , , , , , , , , , , ,
Posted in The Linux and Unix Articles!

Leave a Reply

Your email address will not be published. Required fields are marked *

*

Support LinuxG via Patreon
Support LinuxG.net on Patreon!
Subscribe

  

Subscribe to get the latest Linux news and how to guides directly on your e-mail!